Subject: Re: bug#48021: comp.el cannot be loaded without native compilation

From: Andrea Corallo <[email-masked]>
Date: Mon, 26 Apr 2021 21:16:09 +0000

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:
>
>> Andrea Corallo wrote:
>>
>>>> ./src/emacs -Q -l ./lisp/emacs-lisp/comp.el
>>>>
>>>>    memq: Symbol's value as variable is void: comp-ctxt
>>
>>> with a390a4965f comp-cstr-tests run clean for me also on vanilla build,
>>> please let me know if this is sufficient for the case you are testing.
>>
>> Thanks. comp-cstr-test-70 is still failing for me.
>
> Could you share the invocation you are using? I'm asking cause here on
> 449045b2a6 I see this passing.
>
>>
>> The issue about comp.el being unloadable in builds without native
>> compilation remains (and hence test-custom-deps still fails).
>
> I didn't know about the test-custom-deps, I'll have a look.

Hi Glenn,

with 40c71e574a comp-cstr.el and comp.el are loadable for me also on
vanilla builds, please have a look.

Thanks

  Andrea